import { logger } from './logger.js';

const templatePath = `modules/yet-another-timer/templates/add-timer.hbs`;

export class AddTimerScreen extends FormApplication {a
   static get defaultOptions() {
    const defaults = super.defaultOptions;

    const overrides = {
      height: "auto",
      id: "yet-another-timer-add-timer",
      template: templatePath,
      title: game.i18n?.localize("YAT.status.add-timer") || "Add Timer",
    };
    return Object.assign({}, defaults, overrides);
  }

  getData() {
    return {
    };
  }

  activateListeners(html) {
    logger.debug('Activating listeners...');
    html.on('click', "[data-action]", this.#handleClick.bind(this));
    logger.debug('Activated.');
  }

  #handleClick(event) {
    logger.debug('**click**', event);
    const el = $(event.currentTarget);
    const action = el.data().action;
    logger.debug('handle debug on ', action);
    const data = $(el).parents('form');

    logger.debug('Data:', data);
  }
}
